package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.result.TeachClazzResult;
import com.qmth.distributed.print.business.entity.TeachClazz;
import com.qmth.teachcloud.common.entity.SysUser;

import java.util.List;

/**
 * @Description: 教学班服务类
 * @Author: CaoZixuan
 * @Date: 2022-02-09
 */
public interface TeachClazzService extends IService<TeachClazz> {

    /**
     * 分页查询教学班列表
     *
     * @param teachCourseId  教学课程id
     * @param teachClazzName 班级名称
     * @param pageNumber     分页页数
     * @param pageSize       分页容量
     * @return 教学班分页结果
     */
    IPage<TeachClazzResult> teachClazzPage(Long teachCourseId, String teachClazzName, int pageNumber, int pageSize);

    /**
     * 创建教学班
     *
     * @param teachClazzName 班级名称
     * @param teachCourseId  教学课程id
     * @param requestUser    请求的用户
     * @return 教学班新增结果
     */
    Boolean createTeachClazz(String teachClazzName, Long teachCourseId, SysUser requestUser);

    /**
     * 根据教学班级id集合批量删除教学班级
     *
     * @param idList 教学班级id集合
     * @return 教学班删除结果
     */
    Boolean deleteTeachClazzBatch(List<Long> idList);
}
